Option Explicit On 
Option Strict On
Option Compare Binary

' <remarks>
'   Stellt ein Element dar.
' </remarks>
Public Class Element
    Private m_intWeight As Integer
    Private m_intCost As Integer
    Private m_strName As String

    ' <summary>
    '   Erstellt eine neue Instanz der Klasse und 
    '   weist den Eigenschaften die in den
    '   Parametern bergebenen Werte zu.
    ' </summary>
    ' <param name="intWeight">Anfangswert der Eigenschaft 
    '    <c>Weight</c>.</param>
    ' <param name="intCost">Anfangswert der Eigenschaft 
    '    <c>Cost</c>.</param>
    ' <param name="strName">Anfangswert der Eigenschaft 
    '    <c>Name</c>.</param>
    Public Sub New( _
      ByVal intWeight As Integer, _
      ByVal intCost As Integer, _
      ByVal strName As String)
        m_intWeight = intWeight
        m_intCost = intCost
        m_strName = strName
    End Sub

    ' <summary>
    '   Gibt das Gewicht des Objekts an oder gibt es zurck.
    ' </summary>
    ' <value>Gewicht des Objekts.</value>
    Public Property Weight() As Integer
        Get
            Return m_intWeight
        End Get
        Set(ByVal Value As Integer)
            m_intWeight = Value
        End Set
    End Property

    ' <summary>
    '   Gibt den Wert des Objekts an oder gibt ihn zurck.
    ' </summary>
    ' <value>Wert des Objekts.</value>
    Public Property Cost() As Integer
        Get
            Return m_intCost
        End Get
        Set(ByVal Value As Integer)
            m_intCost = Value
        End Set
    End Property

    ' <summary>
    '   Gibt den Namen des Objekts an oder gibt ihn zurck.
    ' </summary>
    ' <value>Name des Objekts.</value>
    Public Property Name() As String
        Get
            Return m_strName
        End Get
        Set(ByVal Value As String)
            m_strName = Value
        End Set
    End Property
End Class