Option Explicit On 
Option Strict On
Option Compare Binary

Imports System
Imports System.Collections

' <remarks>
'   Stellt den Einsprungspunkt der Anwendung bereit.
' </remarks>
Public Class Main

    ' <summary>
    '   Der Einsprungspunkt der Anwendung.
    ' </summary>
    Public Shared Sub Main()

        ' Neue Liste erstellen.
        Dim alst As ArrayList = New ArrayList()

        ' Beispieldaten einfgen.
        alst.Add(New Element(10, 100, "Hundekuchen"))
        alst.Add(New Element(100, 100, "Beissknochen"))
        alst.Add(New Element(20, 1000, "Knabberstab"))

        ' Liste mit benutzerdefiniertem Vergleicher sortieren.
        alst.Sort(New ValueComparer())

        ' Sortierte Liste durchlaufen und Elemente ausgeben.
        Dim i As Integer
        For i = 0 To alst.Count - 1
            Dim el As Element = DirectCast(alst(i), Element)
            Console.WriteLine("Name: {0}, Nutzen: {1}", _
              el.Name, el.Cost / el.Weight)
        Next i

        ' Liste leeren.
        alst.Clear()
    End Sub
End Class